# Method: reports.files.get

- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/reports.files/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/reports.files/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/reports.files/get#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/reports.files/get#body.response_body)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/reports.files/get#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/reports.files/get#try-it)

Retrieves a report file by its report ID and file ID. This method supports media download.

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/reports/{reportId}/files/{fileId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` The Campaign Manager 360 user profile ID. |
| `reportId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the report. |
| `fileId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the report file. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/doubleclick-advertisers/rest/v5/File`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfareporting`